Bug 103709 - BFD 2.13.90.0.18 20030206 internal error
BFD 2.13.90.0.18 20030206 internal error
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 00:15 EDT by Andre
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 10:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre 2003-09-04 00:15:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
Trying to build a static ohphone (http://www.openh323.org/code.html) I get an
internal error linking the executable:

 /usr/bin/ld: BFD 2.13.90.0.18 20030206 internal error, aborting at
../../bfd/elf32-i386.c line 2365 in elf_i386_relocate_section
 /usr/bin/ld: Please report this bug.
 collect2: ld returned 1 exit status


Version-Release number of selected component (if applicable):
binutils-2.13.90.0.18-9

How reproducible:
Always

Steps to Reproduce:
(See http://www.openh323.org/ for build instructions)

make -C pwlib_1.5.2 optdepend
make -C pwlib_1.5.2 opt
make -C openh323_1.12.2 optdepend
make -C openh323_1.12.2 opt
make -C ohphone_1.4.1 optdepend
make -C ohphone_1.4.1 optnoshared


Actual Results:  make P_SHAREDLIB=0 opt
make[1]: Entering directory `/usr/local/src/openh323/ohphone_1.4.1'
g++ -o obj_linux_x86_r/ohphone   -Wl,--gc-sections -s
-L/usr/local/src/openh323/pwlib/lib -static
-L/usr/local/src/openh323/openh323/lib -L/usr/X11R6/lib  
./obj_linux_x86_r/main.o  ./obj_linux_x86_r/vidlinux.o 
./obj_linux_x86_r/xlibvid.o -lh323_linux_x86_r_s -lpt_linux_x86_r_s -lXext -lX11
 -lpthread -llber -lldap -lldap_r -lssl -lcrypto -lexpat -lSDL -lresolv -ldl
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/../../../libldap.a(os-ip.o)(.text+0x41f):
In function `ldap_pvt_is_socket_ready':
: `sys_errlist' is deprecated; use `strerror' or `strerror_r' instead
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/../../../libldap.a(os-ip.o)(.text+0x415):
In function `ldap_pvt_is_socket_ready':
: `sys_nerr' is deprecated; use `strerror' or `strerror_r' instead
/usr/bin/ld: BFD 2.13.90.0.18 20030206 internal error, aborting at
../../bfd/elf32-i386.c line 2365 in elf_i386_relocate_section

/usr/bin/ld: Please report this bug.

collect2: ld returned 1 exit status



Additional info:
Comment 1 Jakub Jelinek 2004-10-07 10:39:38 EDT
If you can reproduce this with contemporary GCC and binutils,
please reopen and attach a tarball with all object files and binaries
that are used by the linker.

Note You need to log in before you can comment on or make changes to this bug.